Subject: Re: Continuing the story - another stab at an IETF mission statement

From: "Tom Petch" <[email-masked]>
Date: Wed, 18 Feb 2004 18:06:17 -0000

I find your definition of the Internet delightfully ambiguous.  I was
taught that the Internet (as opposed to an internet or the internet) was
the public network accessible through public IPv4 addresses (this predates
IPv6) ie the Internet ceased at a firewall or other such IP level gateway.

Reading your definition, I cannot tell where you stand; are firewalls and
networks behind them included in IETF mission or not?

Tom Petch

-----Original Message-----
From: Harald Tveit Alvestrand <[email-masked]>
To: [email-masked] <[email-masked]>
Date: 11 February 2004 01:59
Subject: Continuing the story - another stab at an IETF mission statement

>Apologies to those who are already tired of this debate, and those think
>that we have enough of a clear idea of what the IETF mission is, and that
>discussing more is harmful to the community, but....
>
>I attempted to incorporate the latest discussions into an internet-draft,
>which I managed to get out just before the deadline....
>
>   draft-alvestrand-ietf-mission-00.txt
>
>The core of the draft:
>
>
>   The goal of the IETF is to make the Internet work.
>
>   The mission of the IETF is to produce high quality, relevant
>   technical and engineering documents that influence the way people
>   design, use and manage the Internet in such a way as to make the
>   Internet work better.
>   These documents include protocol standards, best current practices
>   and informational documents of various kinds.
>
>   The IETF will pursue this mission in adherence to the following
>   cardinal principles:
>
>   Open process - that any interested participant can in fact
>      participate in the work, know what is being decided, and make his
>      or her voice heard on the issue.  Part of this principle is our
>      commitment to making our documents, our WG mailing lists, our
>      attendance lists and our meeting minutes publicly available on the
>      Net.
>
>   Technical competence - that the issues on which the IETF produces its
>      documents are issues where the IETF has the competence needed to
>      speak to them, and that the IETF is willing to listen to
>      technically competent input from any source.
>      Technical competence also means that we expect IETF output to be
>      designed to sound network engineering principles - this is also
>      often referred to as "engineering quality".
>
>   Volunteer Core - that our members and our leadership are people who
>      come to the IETF because they want to work for the IETF's
>      purposes.
>
>   Rough consensus and running code - We make standards based on the
>      combined engineering judgement of our participants and our real-
>      world experience in implementing and deploying our specifications.
>
>
>The rest of the document is trying to define the terms and explain the
>issues faced in formulating the mission statement.
>An appendix (to be deleted before publication) lists some other attempts
at
>formulating a mission statement - the purpose of including this is to give
>honor to those who worked on them, and to allow those who debate the issue
>to see what other attempts to formulate the mission could look like.
>
>Comments are welcome, of course!
>
>                      Harald
>
>

---

From: Joe Abley <[email-masked]>
Date: Wed, 18 Feb 2004 16:18:09 -0500

> IPv6) ie the Internet ceased at a firewall or other such IP level 

I'm not sure who teaches that, but that's an extremely weak definition.

Define "public network". Define "accessible". Define "public IPv4 
addresses". Note that even with definitions, the resulting "Internet" 
is subjective in the sense that the shape of the network changes 
according to the perspective gained from local connectivity (so one 
host's Internet is different to another host's Internet).

The idea that the Internet is properly partitioned between devices 
which block packets would these days mean that in reality today it 
rarely extends beyond a single autonomous system, and often not beyond 
a single router. This is not, to my knowledge, a common definition (and 
even if it was common, it hardly seems very useful).

Lots of people seem to enjoy being needlessly pedantic about "the 
Internet" vs. "the internet" vs. "an internet", regardless of the fact 
they are unable to cite a reason for the distinction. So that's at 
least a common distinction, albeit arguably a fairly pointless one.

Q: "But what *IS* the Internet?"

A: "It's the largest equivalence class in the reflexive transitive 
symmetric closure of the relationship 'can be reached by an IP packet 
from'." - Seth Breidbart

Joe